#ifndef PLAYLISTASPECTLISTVIEWMODEL_H
#define PLAYLISTASPECTLISTVIEWMODEL_H

#include <QAbstractListModel>
#include "playlistaspectlistviewrenderer.h"

class PlayListAspectListViewModel: public QAbstractListModel
{
    Q_OBJECT
public:
    PlayListAspectListViewModel(PlayListAspectListViewRenderer *aspect);

    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;
    QVariant data(const QModelIndex &index, int role) const;
    QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const;

    void sort(int column, Qt::SortOrder order = Qt::AscendingOrder);

    void rereadData();

private:
    friend class PlayListAspectListViewRenderer;
    PlayListAspectListViewRenderer *aspect_;
};

#endif // PLAYLISTASPECTLISTVIEWMODEL_H
